API reference

Get the shop

GET
/v1/storefront/shop

The shop: name, logo, currency and clock, the branch that fills online orders with its hours, whether it is open now, pickup and delivery with their fees, online payment, and the collections.

Authorization

publishableKey
headerAuthorizationBearer <pk_live_…>

The shop’s publishable key, from Settings, Developers in Cashiar. Safe to use in a browser.

Response Body

application/json
  1. response
timeZone*string
dateFormat*string
Value in"d MMM yyyy""dd/MM/yyyy""MM/dd/yyyy""yyyy-MM-dd"
timeFormat*string
Value in"12h""24h"
slug*string
domain*string|null
whatsapp*string|null
name*string
businessType*string|null
logoUrl*string|null
bannerUrl*string|null
currency*string
phone*string|null
branch*
enabled*boolean
closedUntil*string|null
closedOrders*string
Value in"take""refuse"
outOfStock*string
Value in"sold_out""hide"
sellsServices*boolean
pickup*boolean
delivery*|null
payOnline*boolean
payFirst*boolean
collections*array<>
Example Request
curl -X GET 'https://api.cashiar.app/v1/storefront/shop'
Example Response200
{
  "timeZone": "string",
  "dateFormat": "d MMM yyyy",
  "timeFormat": "12h",
  "slug": "string",
  "domain": "string",
  "whatsapp": "string",
  "name": "string",
  "businessType": "string",
  "logoUrl": "string",
  "bannerUrl": "string",
  "currency": "string",
  "phone": "string",
  "branch": {
    "id": "string",
    "name": "string",
    "address": "string",
    "phone": "string",
    "workingHours": [
      {
        "open": true,
        "from": "string",
        "to": "string"
      },
      {
        "open": true,
        "from": "string",
        "to": "string"
      },
      {
        "open": true,
        "from": "string",
        "to": "string"
      },
      {
        "open": true,
        "from": "string",
        "to": "string"
      },
      {
        "open": true,
        "from": "string",
        "to": "string"
      },
      {
        "open": true,
        "from": "string",
        "to": "string"
      },
      {
        "open": true,
        "from": "string",
        "to": "string"
      }
    ],
    "closures": [
      {
        "from": "2019-08-24",
        "to": "2019-08-24",
        "note": "string"
      }
    ]
  },
  "enabled": true,
  "closedUntil": "string",
  "closedOrders": "take",
  "outOfStock": "sold_out",
  "sellsServices": true,
  "pickup": true,
  "delivery": {
    "fee": 0,
    "zones": [
      {
        "name": "string",
        "fee": 0
      }
    ]
  },
  "payOnline": true,
  "payFirst": true,
  "collections": [
    {
      "id": "string",
      "name": "string",
      "imageUrl": "string"
    }
  ]
}